> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of all configuration files from ZooKeeper



## OpenAPI

````yaml /api-reference/4.2/service-solrconfig.json get /collections/{collection}/solr-config
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service solrconfig
servers:
  - url: /api/apollo/
security: []
tags:
  - name: solrconfig
paths:
  /collections/{collection}/solr-config:
    get:
      tags:
        - 4.2 Solr Config API
      summary: Retrieve a list of all configuration files from ZooKeeper
      operationId: listConfigNodes
      parameters:
        - name: collection
          in: path
          description: The collection that contains the configuration files
          required: true
          schema:
            type: string
        - name: recursive
          in: query
          description: '''True'' to return children of nested ZooKeeper nodes'
          required: false
          schema:
            type: boolean
            default: false
        - name: expand
          in: query
          description: >-
            If true, the binary content of a file is returned base64-encoded.
            Otherwise, only the metadata about each node is returned. To see the
            content of the file in plain text, you can add 'Accept: text/plain'
            to the request header. Alternately, you can get the raw bytes by
            adding 'Accept: application/octet-stream' to the header.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SolrZkConfigNode'
components:
  schemas:
    SolrZkConfigNode:
      type: object
      properties:
        name:
          type: string
        parent:
          type: string
        href:
          type: string
          format: uri
        version:
          type: integer
          format: int32
        isDir:
          type: boolean
          default: false
        children:
          type: array
          items:
            $ref: '#/components/schemas/SolrZkConfigNode'
        value:
          type: array
          items:
            type: string
            format: byte
        type:
          type: string
          enum:
            - STOPWORDS
            - SYNONYMS

````